DefaultGrailsClass (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.DefaultGrailsClass

    public class DefaultGrailsClass
    extends AbstractGrailsClass

A default implementation for Grails classes that need to be registered and managed by a GrailsApplication, but don't need any special handling.

Authors:
  Graeme Rocher

Since:
  0.5

Field Summary

Fields inherited from class AbstractGrailsClass
grailsApplication

Constructor Summary
`DefaultGrailsClass(java.lang.Class clazz, java.lang.String trailingName)` Contructor to be used by all child classes to create a new instance and get the name right.
`DefaultGrailsClass(java.lang.Class clazz)`

Method Summary

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultGrailsClass

    public DefaultGrailsClass(java.lang.Class clazz, java.lang.String trailingName)

  Contructor to be used by all child classes to create a new instance and get the name right.
  Parameters:
    `clazz` - the Grails class
    `trailingName` - the trailing part of the name for this class type

### DefaultGrailsClass

    public DefaultGrailsClass(java.lang.Class clazz)

Groovy Documentation